/*===========================================================================*/
/*   (Prof/emit.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Prof/emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzprof_emitz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00;
static obj_t BGl__emitzd2profzd2info3231z00zzprof_emitz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzprof_emitz00();
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00();
extern obj_t BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00;
extern obj_t BGl_setzd2variablezd2namez12z12zzbackend_c_prototypez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzprof_emitz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
static obj_t BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzprof_emitz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00();
static obj_t BGl_zc3anonymousza32786ze3z83zzprof_emitz00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3299z00zzprof_emitz00, BgL_bgl_string3299za700za7za7prof_emitza7003330z00, "      fputs( \"((\\\"", 18 );
DEFINE_STRING( BGl_string3298z00zzprof_emitz00, BgL_bgl_string3298za700za7za7prof_emitza7003331z00, "}\n", 2 );
DEFINE_STRING( BGl_string3297z00zzprof_emitz00, BgL_bgl_string3297za700za7za7prof_emitza7003332z00, "   return BUNSPEC;", 18 );
DEFINE_STRING( BGl_string3296z00zzprof_emitz00, BgL_bgl_string3296za700za7za7prof_emitza7003333z00, "   GC_profile_init();", 21 );
DEFINE_STRING( BGl_string3295z00zzprof_emitz00, BgL_bgl_string3295za700za7za7prof_emitza7003334z00, "   }", 4 );
DEFINE_STRING( BGl_string3294z00zzprof_emitz00, BgL_bgl_string3294za700za7za7prof_emitza7003335z00, ")\\n\", (FILE *)bprof_port );", 27 );
DEFINE_STRING( BGl_string3293z00zzprof_emitz00, BgL_bgl_string3293za700za7za7prof_emitza7003336z00, "\\\"", 2 );
DEFINE_STRING( BGl_string3302z00zzprof_emitz00, BgL_bgl_string3302za700za7za7prof_emitza7003337z00, "foreign location allocator ", 27 );
DEFINE_STRING( BGl_string3292z00zzprof_emitz00, BgL_bgl_string3292za700za7za7prof_emitza7003338z00, "\\\" \\\"", 5 );
DEFINE_STRING( BGl_string3301z00zzprof_emitz00, BgL_bgl_string3301za700za7za7prof_emitza7003339z00, ") \\\"", 4 );
DEFINE_STRING( BGl_string3291z00zzprof_emitz00, BgL_bgl_string3291za700za7za7prof_emitza7003340z00, "      fputs( \"(\\\"", 17 );
DEFINE_STRING( BGl_string3300z00zzprof_emitz00, BgL_bgl_string3300za700za7za7prof_emitza7003341z00, "\\\" ", 3 );
DEFINE_STRING( BGl_string3290z00zzprof_emitz00, BgL_bgl_string3290za700za7za7prof_emitza7003342z00, "   if( bprof_port ) {", 21 );
DEFINE_STRING( BGl_string3289z00zzprof_emitz00, BgL_bgl_string3289za700za7za7prof_emitza7003343z00, "\", \"w\" );", 9 );
DEFINE_STRING( BGl_string3288z00zzprof_emitz00, BgL_bgl_string3288za700za7za7prof_emitza7003344z00, "   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( \"", 59 );
DEFINE_STRING( BGl_string3287z00zzprof_emitz00, BgL_bgl_string3287za700za7za7prof_emitza7003345z00, "   extern obj_t bprof_port;", 27 );
DEFINE_STRING( BGl_string3286z00zzprof_emitz00, BgL_bgl_string3286za700za7za7prof_emitza7003346z00, "static obj_t write_bprof_table() {", 34 );
DEFINE_STRING( BGl_string3285z00zzprof_emitz00, BgL_bgl_string3285za700za7za7prof_emitza7003347z00, "/* prof association table */", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2profzd2infozd2envzd2zzprof_emitz00, BgL_bgl__emitza7d2profza7d2info3231za700za7za7prof_emitza7003348z00, BGl__emitzd2profzd2info3231z00zzprof_emitz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long BgL_checksumz00_1243, char * BgL_fromz00_1244)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzprof_emitz00))
{ 
BGl_requirezd2initializa7ationz75zzprof_emitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzprof_emitz00(); 
BGl_cnstzd2initzd2zzprof_emitz00(); 
BGl_importedzd2moduleszd2initz00zzprof_emitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "prof_emit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
{ /* ./Prof/emit.scm 15 */
obj_t BgL_cportz00_1236;
BgL_cportz00_1236 = 
open_input_string(BGl_string3302z00zzprof_emitz00); 
{ 
long BgL_iz00_1237;
BgL_iz00_1237 = ((long)2); 
BgL_loopz00_1238:
{ /* ./Prof/emit.scm 15 */
bool_t BgL_test3304z00_1239;
BgL_test3304z00_1239 = 
(BgL_iz00_1237==((long)-1)); 
if(BgL_test3304z00_1239)
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;}  else 
{ /* ./Prof/emit.scm 15 */
{ /* ./Prof/emit.scm 15 */
obj_t BgL_arg3306z00_1240;
{ /* ./Prof/emit.scm 15 */
obj_t BgL_list3309z00_1241;
BgL_list3309z00_1241 = 
MAKE_PAIR(BgL_cportz00_1236, BNIL); 
BgL_arg3306z00_1240 = 
BGl_readz00zz__readerz00(BgL_list3309z00_1241); } 
{ /* ./Prof/emit.scm 15 */
int BgL_auxz00_1260;
BgL_auxz00_1260 = 
(int)(BgL_iz00_1237); 
CNST_TABLE_SET(BgL_auxz00_1260, BgL_arg3306z00_1240); } } 
{ /* ./Prof/emit.scm 15 */
int BgL_auxz00_1242;
{ /* ./Prof/emit.scm 15 */
long BgL_auxz00_1263;
BgL_auxz00_1263 = 
(BgL_iz00_1237-((long)1)); 
BgL_auxz00_1242 = 
(int)(BgL_auxz00_1263); } 
{ 
long BgL_iz00_1266;
BgL_iz00_1266 = 
(long)(BgL_auxz00_1242); 
BgL_iz00_1237 = BgL_iz00_1266; 
goto BgL_loopz00_1238;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* emit-prof-info */
BGL_EXPORTED_DEF obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_globalsz00_33, obj_t BgL_portz00_34)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 37 */
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3285z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3286z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3287z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3288z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00, BgL_portz00_34); 
display_string(BGl_string3289z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3290z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* ./Prof/emit.scm 78 */
obj_t BgL_zc3anonymousza32786ze3z83_1226;
{ 
int BgL_auxz00_1284;int BgL_auxz00_1282;
BgL_auxz00_1284 = 
(int)(((long)1)); 
BgL_auxz00_1282 = 
(int)(((long)1)); 
BgL_zc3anonymousza32786ze3z83_1226 = 
make_fx_procedure(BGl_zc3anonymousza32786ze3z83zzprof_emitz00, BgL_auxz00_1282, BgL_auxz00_1284); } 
{ /* ./Prof/emit.scm 78 */
int BgL_auxz00_1287;
BgL_auxz00_1287 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32786ze3z83_1226, BgL_auxz00_1287, BgL_portz00_34); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza32786ze3z83_1226); } 
{ 
obj_t BgL_l2691z00_740;
BgL_l2691z00_740 = BgL_globalsz00_33; 
BgL_forzd2each2692zd2_741:
{ /* ./Prof/emit.scm 84 */
bool_t BgL_test2805z00_742;
BgL_test2805z00_742 = 
PAIRP(BgL_l2691z00_740); 
if(BgL_test2805z00_742)
{ /* ./Prof/emit.scm 84 */
{ /* ./Prof/emit.scm 85 */
obj_t BgL_globalz00_743;
BgL_globalz00_743 = 
CAR(BgL_l2691z00_740); 
{ /* ./Prof/emit.scm 85 */
bool_t BgL_test2806z00_744;
{ /* ./Prof/emit.scm 85 */
BgL_globalz00_bglt BgL_obj1177z00_1190;
BgL_obj1177z00_1190 = 
(BgL_globalz00_bglt)(BgL_globalz00_743); 
BgL_test2806z00_744 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1177z00_1190))->BgL_userzf3zf3); } 
if(BgL_test2806z00_744)
{ /* ./Prof/emit.scm 85 */
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_34, BgL_globalz00_743); }  else 
{ /* ./Prof/emit.scm 85 */BFALSE; } } } 
{ /* ./Prof/emit.scm 84 */
obj_t BgL_arg2811z00_745;
BgL_arg2811z00_745 = 
CDR(BgL_l2691z00_740); 
{ 
obj_t BgL_l2691z00_1299;
BgL_l2691z00_1299 = BgL_arg2811z00_745; 
BgL_l2691z00_740 = BgL_l2691z00_1299; 
goto BgL_forzd2each2692zd2_741;} } }  else 
{ /* ./Prof/emit.scm 84 */((bool_t)1); } } } 
{ 
obj_t BgL_l2693z00_746;
BgL_l2693z00_746 = BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00; 
BgL_forzd2each2694zd2_747:
{ /* ./Prof/emit.scm 90 */
bool_t BgL_test2816z00_748;
BgL_test2816z00_748 = 
PAIRP(BgL_l2693z00_746); 
if(BgL_test2816z00_748)
{ /* ./Prof/emit.scm 90 */
{ /* ./Prof/emit.scm 91 */
obj_t BgL_scmze2cze2_749;
BgL_scmze2cze2_749 = 
CAR(BgL_l2693z00_746); 
{ /* ./Prof/emit.scm 91 */
obj_t BgL_scmz00_750;obj_t BgL_cz00_751;
BgL_scmz00_750 = 
CAR(BgL_scmze2cze2_749); 
BgL_cz00_751 = 
CDR(BgL_scmze2cze2_749); 
display_string(BGl_string3291z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_scmz00_750, BgL_portz00_34); 
display_string(BGl_string3292z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_cz00_751, BgL_portz00_34); 
display_string(BGl_string3293z00zzprof_emitz00, BgL_portz00_34); 
display_string(BGl_string3294z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); } } 
{ /* ./Prof/emit.scm 90 */
obj_t BgL_arg2828z00_753;
BgL_arg2828z00_753 = 
CDR(BgL_l2693z00_746); 
{ 
obj_t BgL_l2693z00_1313;
BgL_l2693z00_1313 = BgL_arg2828z00_753; 
BgL_l2693z00_746 = BgL_l2693z00_1313; 
goto BgL_forzd2each2694zd2_747;} } }  else 
{ /* ./Prof/emit.scm 90 */((bool_t)1); } } } 
display_string(BGl_string3295z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3296z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3297z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3298z00zzprof_emitz00, BgL_portz00_34); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34);} 
}



/* _emit-prof-info3231 */
obj_t BGl__emitzd2profzd2info3231z00zzprof_emitz00(obj_t BgL_envz00_1227, obj_t BgL_globalsz00_1228, obj_t BgL_portz00_1229)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 37 */
return 
BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_1228, BgL_portz00_1229);} 
}



/* emit-global! */
obj_t BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t BgL_portz00_1230, obj_t BgL_globalz00_758)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 65 */
{ /* ./Prof/emit.scm 39 */
BgL_valuez00_bglt BgL_sfunz00_760;
{ /* ./Prof/emit.scm 39 */
BgL_variablez00_bglt BgL_obj1100z00_1202;
BgL_obj1100z00_1202 = 
(BgL_variablez00_bglt)(BgL_globalz00_758); 
BgL_sfunz00_760 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1202))->BgL_valuez00); } 
{ /* ./Prof/emit.scm 40 */

BGl_setzd2variablezd2namez12z12zzbackend_c_prototypez00(BgL_globalz00_758); 
{ /* ./Prof/emit.scm 42 */
obj_t BgL_idz00_762;obj_t BgL_czd2namezd2_763;obj_t BgL_alloczf3zf3_764;obj_t BgL_locz00_765;
{ /* ./Prof/emit.scm 42 */
BgL_variablez00_bglt BgL_obj1093z00_1204;
BgL_obj1093z00_1204 = 
(BgL_variablez00_bglt)(BgL_globalz00_758); 
BgL_idz00_762 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1204))->BgL_idz00); } 
{ /* ./Prof/emit.scm 43 */
BgL_variablez00_bglt BgL_obj1094z00_1205;
BgL_obj1094z00_1205 = 
(BgL_variablez00_bglt)(BgL_globalz00_758); 
BgL_czd2namezd2_763 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1205))->BgL_namez00); } 
{ /* ./Prof/emit.scm 44 */
bool_t BgL__andtest_2682z00_773;
{ /* ./Prof/emit.scm 44 */
obj_t BgL_obj1425z00_1206;
BgL_obj1425z00_1206 = 
(obj_t)(BgL_sfunz00_760); 
BgL__andtest_2682z00_773 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1206, BGl_sfunz00zzast_varz00); } 
if(BgL__andtest_2682z00_773)
{ /* ./Prof/emit.scm 45 */
obj_t BgL_auxz00_1333;
{ /* ./Prof/emit.scm 45 */
BgL_sfunz00_bglt BgL_obj1364z00_1207;
BgL_obj1364z00_1207 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_760); 
BgL_auxz00_1333 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1364z00_1207))->BgL_propertyz00); } 
BgL_alloczf3zf3_764 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)0)), BgL_auxz00_1333); }  else 
{ /* ./Prof/emit.scm 44 */
BgL_alloczf3zf3_764 = BFALSE; } } 
{ /* ./Prof/emit.scm 46 */
bool_t BgL__andtest_2683z00_776;
{ /* ./Prof/emit.scm 46 */
obj_t BgL_obj1425z00_1208;
BgL_obj1425z00_1208 = 
(obj_t)(BgL_sfunz00_760); 
BgL__andtest_2683z00_776 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1208, BGl_sfunz00zzast_varz00); } 
if(BgL__andtest_2683z00_776)
{ /* ./Prof/emit.scm 47 */
BgL_sfunz00_bglt BgL_obj1380z00_1209;
BgL_obj1380z00_1209 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_760); 
BgL_locz00_765 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1380z00_1209))->BgL_locz00); }  else 
{ /* ./Prof/emit.scm 46 */
BgL_locz00_765 = BFALSE; } } 
{ /* ./Prof/emit.scm 48 */
bool_t BgL_test2842z00_766;
if(
STRUCTP(BgL_locz00_765))
{ /* ./Prof/emit.scm 48 */
obj_t BgL_auxz00_1347;obj_t BgL_auxz00_1345;
BgL_auxz00_1347 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_1345 = 
STRUCT_KEY(BgL_locz00_765); 
BgL_test2842z00_766 = 
(BgL_auxz00_1345==BgL_auxz00_1347); }  else 
{ /* ./Prof/emit.scm 48 */
BgL_test2842z00_766 = ((bool_t)0); } 
if(BgL_test2842z00_766)
{ /* ./Prof/emit.scm 48 */
display_string(BGl_string3299z00zzprof_emitz00, BgL_portz00_1230); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_idz00_762, BgL_portz00_1230); 
display_string(BGl_string3300z00zzprof_emitz00, BgL_portz00_1230); 
display_string(BGl_string3293z00zzprof_emitz00, BgL_portz00_1230); 
{ /* ./Prof/emit.scm 52 */
obj_t BgL_arg2848z00_768;
{ /* ./Prof/emit.scm 52 */
int BgL_auxz00_1355;
BgL_auxz00_1355 = 
(int)(((long)0)); 
BgL_arg2848z00_768 = 
STRUCT_REF(BgL_locz00_765, BgL_auxz00_1355); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2848z00_768, BgL_portz00_1230); } 
display_string(BGl_string3300z00zzprof_emitz00, BgL_portz00_1230); 
{ /* ./Prof/emit.scm 53 */
obj_t BgL_arg2853z00_769;
{ /* ./Prof/emit.scm 53 */
int BgL_auxz00_1360;
BgL_auxz00_1360 = 
(int)(((long)1)); 
BgL_arg2853z00_769 = 
STRUCT_REF(BgL_locz00_765, BgL_auxz00_1360); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2853z00_769, BgL_portz00_1230); } 
display_string(BGl_string3301z00zzprof_emitz00, BgL_portz00_1230); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_czd2namezd2_763, BgL_portz00_1230); 
display_string(BGl_string3293z00zzprof_emitz00, BgL_portz00_1230); 
{ /* ./Prof/emit.scm 57 */
char * BgL_arg2860z00_770;
if(
CBOOL(BgL_alloczf3zf3_764))
{ /* ./Prof/emit.scm 57 */
BgL_arg2860z00_770 = " allocator"; }  else 
{ /* ./Prof/emit.scm 57 */
BgL_arg2860z00_770 = ""; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2860z00_770), BgL_portz00_1230); } 
display_string(BGl_string3294z00zzprof_emitz00, BgL_portz00_1230); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1230);}  else 
{ /* ./Prof/emit.scm 48 */
display_string(BGl_string3291z00zzprof_emitz00, BgL_portz00_1230); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_idz00_762, BgL_portz00_1230); 
display_string(BGl_string3292z00zzprof_emitz00, BgL_portz00_1230); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_czd2namezd2_763, BgL_portz00_1230); 
display_string(BGl_string3293z00zzprof_emitz00, BgL_portz00_1230); 
{ /* ./Prof/emit.scm 64 */
char * BgL_arg2870z00_772;
if(
CBOOL(BgL_alloczf3zf3_764))
{ /* ./Prof/emit.scm 64 */
BgL_arg2870z00_772 = " allocator"; }  else 
{ /* ./Prof/emit.scm 64 */
BgL_arg2870z00_772 = ""; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2870z00_772), BgL_portz00_1230); } 
display_string(BGl_string3294z00zzprof_emitz00, BgL_portz00_1230); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1230);} } } } } } 
}



/* <anonymous:2786> */
obj_t BGl_zc3anonymousza32786ze3z83zzprof_emitz00(obj_t BgL_envz00_1231, obj_t BgL_gz00_1233)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 77 */
{ /* ./Prof/emit.scm 78 */
obj_t BgL_portz00_1232;
{ /* ./Prof/emit.scm 78 */
int BgL_auxz00_1384;
BgL_auxz00_1384 = 
(int)(((long)0)); 
BgL_portz00_1232 = 
PROCEDURE_REF(BgL_envz00_1231, BgL_auxz00_1384); } 
{ 
obj_t BgL_gz00_729;
BgL_gz00_729 = BgL_gz00_1233; 
{ /* ./Prof/emit.scm 78 */
bool_t BgL_test2787z00_731;
{ /* ./Prof/emit.scm 78 */
bool_t BgL_testz00_1387;
{ /* ./Prof/emit.scm 78 */
bool_t BgL_testz00_1388;
{ /* ./Prof/emit.scm 78 */
long BgL_auxz00_1389;
{ /* ./Prof/emit.scm 78 */
BgL_variablez00_bglt BgL_obj1112z00_1182;
BgL_obj1112z00_1182 = 
(BgL_variablez00_bglt)(BgL_gz00_729); 
BgL_auxz00_1389 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1112z00_1182))->BgL_occurrencez00); } 
BgL_testz00_1388 = 
(BgL_auxz00_1389>((long)0)); } 
if(BgL_testz00_1388)
{ /* ./Prof/emit.scm 78 */
BgL_testz00_1387 = ((bool_t)1)
; }  else 
{ /* ./Prof/emit.scm 79 */
obj_t BgL_auxz00_1396;obj_t BgL_auxz00_1393;
BgL_auxz00_1396 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Prof/emit.scm 79 */
BgL_globalz00_bglt BgL_obj1165z00_1185;
BgL_obj1165z00_1185 = 
(BgL_globalz00_bglt)(BgL_gz00_729); 
BgL_auxz00_1393 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1185))->BgL_modulez00); } 
BgL_testz00_1387 = 
(BgL_auxz00_1393==BgL_auxz00_1396); } } 
if(BgL_testz00_1387)
{ /* ./Prof/emit.scm 80 */
bool_t BgL_testz00_1399;
{ /* ./Prof/emit.scm 80 */
BgL_globalz00_bglt BgL_obj1174z00_1186;
BgL_obj1174z00_1186 = 
(BgL_globalz00_bglt)(BgL_gz00_729); 
BgL_testz00_1399 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_1186))->BgL_libraryzf3zf3); } 
if(BgL_testz00_1399)
{ /* ./Prof/emit.scm 81 */
BgL_globalz00_bglt BgL_obj1177z00_1187;
BgL_obj1177z00_1187 = 
(BgL_globalz00_bglt)(BgL_gz00_729); 
BgL_test2787z00_731 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1177z00_1187))->BgL_userzf3zf3); }  else 
{ /* ./Prof/emit.scm 80 */
BgL_test2787z00_731 = ((bool_t)0); } }  else 
{ /* ./Prof/emit.scm 78 */
BgL_test2787z00_731 = ((bool_t)0); } } 
if(BgL_test2787z00_731)
{ /* ./Prof/emit.scm 78 */
return 
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_1232, BgL_gz00_729);}  else 
{ /* ./Prof/emit.scm 78 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47192), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "prof_emit"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "prof_emit");} 
}

